picard.analysis

## Class CollectJumpingLibraryMetrics

- java.lang.Object
- - picard.cmdline.CommandLineProgram
  - - picard.analysis.CollectJumpingLibraryMetrics

-     public class CollectJumpingLibraryMetrics
      extends CommandLineProgram

  Command-line program to compute metrics about outward-facing pairs, inward-facing pairs, and chimeras in a jumping library.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `CHIMERA_KB_MIN`
    `List<File>` | `INPUT`
    `Integer` | `MINIMUM_MAPPING_QUALITY`
    `File` | `OUTPUT`
    `int` | `TAIL_LIMIT`

    - ### Fields inherited from class picard.cmdline.CommandLineProgram

      `COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, GA4GH_CLIENT_SECRETS, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, TMP_DIR, VALIDATION_STRINGENCY, VERBOSITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CollectJumpingLibraryMetrics()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `doWork()` Calculates the detailed statistics about the jumping library and then generates the results.
    `static void` | `main(String[] args)` Stock main method.

    - ### Methods inherited from class picard.cmdline.CommandLineProgram

      `customCommandLineValidation, getCommandLine, getCommandLineParser, getDefaultHeaders, getMetricsFile, getNestedOptions, getNestedOptionsForHelp, getStandardUsagePreamble, getVersion, instanceMain, instanceMainWithExit, parseArgs, setDefaultHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INPUT

          @Option(shortName="I",
                  doc="BAM file(s) of reads with duplicates marked")
          public List<File> INPUT

    - #### OUTPUT

          @Option(shortName="O",
                  doc="File to which metrics should be written")
          public File OUTPUT

    - #### MINIMUM_MAPPING_QUALITY

          @Option(shortName="MQ",
                  doc="Mapping quality minimum cutoff")
          public Integer MINIMUM_MAPPING_QUALITY

    - #### TAIL_LIMIT

          @Option(shortName="T",
                  doc="When calculating mean and stdev stop when the bins in the tail of the distribution contain fewer than mode/TAIL_LIMIT items")
          public int TAIL_LIMIT

    - #### CHIMERA_KB_MIN

          @Option(doc="Jumps greater than or equal to the greater of this value or 2 times the mode of the outward-facing pairs are considered chimeras")
          public int CHIMERA_KB_MIN

  - ### Constructor Detail

    - #### CollectJumpingLibraryMetrics

          public CollectJumpingLibraryMetrics()

  - ### Method Detail

    - #### main

          public static void main(String[] args)

      Stock main method.

    - #### doWork

          protected int doWork()

      Calculates the detailed statistics about the jumping library and then generates the results.
      Specified by:
        `doWork` in class `CommandLineProgram`
      Returns:
        program exit status.